///////////////////////////
//Weapon class for gestures
///////////////////////////

class grabinGestureGun extends Weapon
    config(user);

#EXEC OBJ LOAD FILE=InterfaceContent.utx

var(FirstPerson) float NewEffectOffset;

simulated function vector GetEffectStart()
{
    local Vector X,Y,Z;

    if ( Instigator.IsFirstPerson() && (Hand == 0) )
    {
        GetViewAxes(X, Y, Z);
        if ( class'PlayerController'.Default.bSmallWeapons || Level.bClassicView )
            return (Instigator.Location +
                Instigator.CalcDrawOffset(self) +
                SmallEffectOffset.X * X  +
                SmallEffectOffset.Y * Y * Hand -
                NewEffectOffset * Z);
        else
            return (Instigator.Location +
                Instigator.CalcDrawOffset(self) +
                EffectOffset.X * X +
                EffectOffset.Y * Y * Hand +
                EffectOffset.Z * Z);
    }
    return Super.GetEffectStart();
}

simulated function Destroyed()
{
    Super.Destroyed();
}

simulated function bool StartFire(int Mode)
{
    return Super.StartFire(Mode);
}

simulated function bool HasAmmo()
{
    return true;
}

function ConsumeAmmo(int mode, float load)
{
    Ammo[mode].UseAmmo(0);
}

simulated function IncrementFlashCount(int mode)
{
    Super.IncrementFlashCount(mode);
}

simulated function bool PutDown()
{
    return Super.PutDown();
}

simulated function BringUp(optional Weapon PrevWeapon)
{
    Super.BringUp(PrevWeapon);
}

defaultproperties
{
    bCanThrow=false
    ItemName="Gesture Gun"
    IconMaterial=Material'InterfaceContent.Hud.SkinA'
    IconCoords=(X1=200,Y1=190,X2=321,Y2=280)
    
    FireModeClass(0)=grabinGGPrim   //draw gesture
    FireModeClass(1)=grabinGGSec    //gesture mode
    InventoryGroup=1
    DrawScale=1.0
    Mesh=mesh'Weapons.LinkGun_1st'
    BobDamping=1.575000
    PickupClass=class'grabinGGPickup'
    EffectOffset=(X=100,Y=25,Z=-3)
    IdleAnimRate=0.03
    PutDownAnim=PutDown
    DisplayFOV=90

    PlayerViewOffset=(X=-2,Y=-2,Z=-3)
    SmallViewOffset=(X=10,Y=4,Z=-9)
    PlayerViewPivot=(Pitch=0,Roll=0,Yaw=500)
    UV2Texture=Material'XGameShaders.WeaponEnvShader'

    AttachmentClass=class'grabinGGAttach'
    SelectSound=Sound'WeaponSounds.LinkGun.SwitchToLinkGun'

    AIRating=+0.99
    CurrentRating=+0.99

    HudColor=(r=128,g=255,b=128,a=255)
    DefaultPriority=1

    CenteredOffsetY=-12.0
    CenteredYaw=-300
    CenteredRoll=3000
    NewEffectOffset=5.0
}